Saltar al contenido principal
GET
/
user
/
credits
/
info
Obtener información de crédito
curl --request GET \
  --url https://api.olostep.com/user/credits/info \
  --header 'Authorization: Bearer <token>'
import requests

url = "https://api.olostep.com/user/credits/info"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.olostep.com/user/credits/info', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "credits": 12500,
  "breakdown": [
    {
      "purchase_kind": "Subscription",
      "allocated_units": 10000,
      "remaining_units": 8500,
      "expiry_date": 1735689600
    },
    {
      "purchase_kind": "Top-up",
      "allocated_units": 5000,
      "remaining_units": 4000,
      "expiry_date": 1743465600
    }
  ],
  "active_subscription": {
    "id": "SUB_PRO",
    "display_name": "Pro",
    "credits": 10000,
    "created_at": 1704067200
  },
  "allow_usage": true
}
{
"error": "Internal Server Error"
}
Para una visión general guiada, consulta Saldo y facturación.

Autorizaciones

Authorization
string
header
requerido

Encabezado de autenticación Bearer de la forma Bearer , donde es tu token de autenticación.

Respuesta

Saldo de crédito y contexto de facturación para el equipo autenticado.

credits
integer

Créditos totales restantes en todos los lotes no vencidos.

breakdown
object[]

Detalle de crédito por lote.

active_subscription
object
allow_usage
boolean

Si el equipo aún puede consumir créditos.